import { Component } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { UsersService } from '../services/users.service';
import { Router } from '@angular/router';

@Component({
    selector: 'app-page-login',
    templateUrl: './page-login.component.html',
    styleUrls: ['./page-login.component.scss']
})
export class PageLoginComponent {
    public form = new FormGroup({
        username: new FormControl(''),
        password: new FormControl(''),
    });

    public async login() {
        await this.users.login(this.form.value.username ?? '', this.form.value.password ?? '');
        this.router.navigateByUrl('/');
    }

    public constructor(
        private users: UsersService,
        private router: Router
    ) { }
}
